.search {
  margin: 2rem auto;
  position: relative;
  width: 80%;

  &__input {
    border: none;
    border-radius: 100px;
    box-shadow: 0 1rem 2rem rgba(black, 0.1);
    padding: 1.5rem 3rem;
    width: 100%;
    font-size: 2rem;
    transition: transform 0.2s;

    &:focus {
      outline: none;
      transform: translateY(-1rem);
    }

    &::placeholder {
      color: rgba(#777, 0.5);
    }
  }

  &__input:focus + &__icon {
    transform: translateY(calc(-50% - 1rem));
  }

  &__icon {
    background-color: rgb(49, 254, 174);
    padding: 1.5rem;
    border-radius: 50%;
    position: absolute;
    right: 0;
    top: 50%;
    transform: translateY(-50%);
    cursor: pointer;
    transition: transform 0.2s;
  }
}

.error-message {
  color: red;
  font-size: 2rem;
  font-weight: bold;
  margin-top: 5rem;
  text-align: center;
  text-transform: uppercase;
}

.lds-ring {
  display: block;
  margin: 2rem auto;
}
